Package org.apache.commons.math3.analysis.function

# Class Exp

java.lang.Object
org.apache.commons.math3.analysis.function.Exp

All Implemented Interfaces:
  `DifferentiableUnivariateFunction`, `UnivariateDifferentiableFunction`, `UnivariateFunction`

public class Exp extends Object implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction
Exponential function.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`Exp()`

## Method Summary

Modifier and Type
Method
Description
`UnivariateFunction`
`derivative()`
Deprecated.
as of 3.1, replaced by `value(DerivativeStructure)`
`double`
`value(double x)`
Compute the value of the function.
`DerivativeStructure`
`value(DerivativeStructure t)`
Simple mathematical function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Exp

public Exp()

## Method Details

### value

public double value(double x)
Compute the value of the function.

Specified by:
  `value` in interface `UnivariateFunction`
Parameters:
  `x` - Point at which the function value should be computed.
Returns:
  the value of the function.

### derivative

@Deprecated public UnivariateFunction derivative()
Deprecated.
as of 3.1, replaced by `value(DerivativeStructure)`
Returns the derivative of the function

Specified by:
  `derivative` in interface `DifferentiableUnivariateFunction`
Returns:
  the derivative function

### value

public DerivativeStructure value(DerivativeStructure t)
Simple mathematical function.

`UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

Specified by:
  `value` in interface `UnivariateDifferentiableFunction`
Parameters:
  `t` - function input value
Returns:
  function result
Since:
  3.1